cgGetFirstStateAssignment(3)

NAME
cgGetFirstStateAssignment - get the first state assignment in a pass

SYNOPSIS
  #include <Cg/cg.h>
  CGstateassignment cgGetFirstStateAssignment( CGpass pass );

PARAMETERS

pass
    The pass from which to retrieve the first state assignment.

RETURN VALUES
Returns the first CGstateassignment object in pass.

Returns NULL if pass contains no state assignments or an error occurs.

DESCRIPTION
cgGetFirstStateAssignment is used to begin iteration over all of the state assignment contained within a pass. See the cgGetNextStateAssignment manpage for more information.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_PASS_HANDLE_ERROR is generated if pass is not a valid pass.

HISTORY
cgGetFirstStateAssignment was introduced in Cg 1.4.

SEE ALSO
the cgGetNextStateAssignment manpage, the cgIsStateAssignment manpage